#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

# Because of missing cmake(KF5Libkdepim) on armv5
ExcludeArch:    armv5tl

%global __requires_exclude devel\\(libKF5
%define kontact_mobile 1
%define _cmake_skip_rpath %nil

%define rel 1

Name:       akregator
Summary:    A Feed Reader for KDE
Epoch:          2
Version: 16.12.3
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    GPLv2
URL:        http://utils.kde.org/projects/kdepim
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

ExcludeArch:   armv5tl

BuildRequires: kf5-macros

BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5KCMUtils)
BuildRequires: cmake(KF5NotifyConfig)
BuildRequires: cmake(KF5Parts)
BuildRequires: cmake(KF5TextEditor)
BuildRequires: cmake(KF5Notifications)

BuildRequires: cmake(KF5AkonadiMime)
BuildRequires: cmake(KF5GrantleeTheme) >= 5.3.3
BuildRequires: cmake(KF5KontactInterface) >= 5.3.90
BuildRequires: cmake(KF5Libkdepim) >= 5.3.90
BuildRequires: cmake(KF5Libkleo)
BuildRequires: cmake(KF5MessageViewer) >= 5.3.90
BuildRequires: cmake(KF5Syndication) >= 5.3.90

BuildRequires: pkgconfig(Qt5WebEngine)
BuildRequires: pkgconfig(Qt5Test)

BuildRequires: cmake(Grantlee5)

Requires:   qtwebengine5
Requires:   libkdepim

Recommends: akregator-handbook
Conflicts:  kdepim4-devel < 2:4.6.90-2
Conflicts:  kontact < 2:16.04.3-3

%description
Akregator is a news feed reader for the KDE desktop. It enables you to
follow news sites, blogs and other RSS/Atom-enabled websites without
the need to manually check for updates using a web browser. Akregator
is designed to be both easy to use and to be powerful enough to read
hundreds of news sources conveniently. It comes with Konqueror
integration for adding news feeds and with an internal browser for
easy news reading.

%files
%_kf5_sysconfdir/xdg/akregator.categories
%_kf5_sysconfdir/xdg/akregator.renamecategories
%_kf5_bindir/akregator
%_kf5_bindir/akregatorstorageexporter
%_qt5_plugindir/akregator*
%_kf5_datadir/akregator
%_kf5_datadir/messageviewer/about/default/introduction_akregator.html
%_kf5_datadir/applications/org.kde.akregator.desktop
%_kf5_datadir/appdata/org.kde.akregator.appdata.xml
%_kf5_datadir/config.kcfg/akregator.kcfg
%_datadir/dbus-1/interfaces/org.kde.akregator.part.xml
%_kf5_datadir/knotifications5/akregator.notifyrc
%_kf5_services/akregator_*
%_kf5_datadir/kservicetypes5/akregator_plugin.desktop
%_kf5_datadir/kxmlgui5/akregator
%_kf5_services/feed.protocol
%_kf5_datadir/kconf_update/akregator*
%_kf5_iconsdir/*/*/*/akregator*.*
# Kontact integration
%_qt5_plugindir/kontact_akregatorplugin.so
%_kf5_services/kontact/akregatorplugin.desktop
%_kf5_datadir/kontact/ksettingsdialog/akregator.setdlg

#------------------------------------------------------------------------------

%define akregatorinterfaces_major 5
%define libakregatorinterfaces %mklibname akregatorinterfaces %akregatorinterfaces_major

%package -n %libakregatorinterfaces
Summary: KDEPIM library
Group: System/Libraries

%description -n %libakregatorinterfaces
KDEPIM library.

%files -n %libakregatorinterfaces
%_kf5_libdir/libakregatorinterfaces.so.%{akregatorinterfaces_major}*

#------------------------------------------------------------------------------

%define akregatorprivate_major 5
%define libakregatorprivate %mklibname akregatorprivate %akregatorprivate_major

%package -n %libakregatorprivate
Summary: KDEPIM library
Group: System/Libraries

%description -n %libakregatorprivate
KDEPIM library.

%files -n %libakregatorprivate
%_kf5_libdir/libakregatorprivate.so.%{akregatorprivate_major}*

#------------------------------------------------------------------------------

%package -n akregator-handbook
Summary: Akregator handbook
Conflicts: akregator < 2:4.7.1
Requires:  akregator >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description -n akregator-handbook
This package provides akregator handbook.

%files -n akregator-handbook
%_kf5_docdir/HTML/en/akregator

#------------------------------------------------------------------------------

%define akregator_devel %mklibname akregator -d

%package -n %akregator_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libakregatorprivate = %epoch:%version-%release
Requires:       %libakregatorinterfaces = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %akregator_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %akregator_devel
%_kf5_libdir/libakregatorinterfaces.so

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5 \
%if %kontact_mobile
-DKDEPIM_BUILD_MOBILE=true
%else
 -DKDEPIM_BUILD_MOBILE=false
%endif

%make_build

%install
%make_install -C build



%changelog
* Sat Mar 11 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1092003
- Exclude on armv5
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Mon Dec 26 2016 neoclust <neoclust> 2:16.12.0-2.mga6
+ Revision: 1078086
- Rebuild against kdepim stack
- New version 16.12.0

* Mon Dec 19 2016 daviddavid <daviddavid> 2:16.11.90-3.mga6
+ Revision: 1076139
- requires qtwebengine5 (fixes mga#19982)
- do not build on armv5tl because of missing qtwebengine5

* Fri Dec 16 2016 neoclust <neoclust> 2:16.11.90-2.mga6
+ Revision: 1075646
- Rebuild for release
- imported package akregator

